Subject: Re: bug#76091: 31.0.50; festure/igc: buffer.h:829: Emacs fatal error: assertion failed: BUFFERP (a)
From: Pip Cet <[email-masked]>
To: Gerd Möllmann <[email-masked]>
Cc: [email-masked], Gregor Zattler <[email-masked]>, Helmut Eller <[email-masked]>, Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2025 19:43:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Gerd Möllmann <[email-masked]> writes:

>>> Well, yes.  I'll split it up into individual patches, so we can review
>>> them one by one?
>>
>> Not necessary, but thanks.
>
> I'm through. Except for the shrinking case that you already mentioned I haven't found other problems.
>
> So LGTM.

Thanks!

Hope I didn't break anything, but I just pushed the series.  Please feel
free to revert or fix as appropriate!

Gregor, I believe this should fix the bug you originally saw (the second
bug you saw when building without optimization has also been fixed), so
I'm optimistically closing this report.  If you run into any further
issues, please open a new bug or reopen this one if it looks quite
similar :-)

Thanks again for the report, please keep them coming!

Pip